Force operation

Force a credit or debit operation in the specified account using the account_id, the processing_code, and the amount provided. This operation directly impacts the balance but does not perform any of the validations that are done in the Transfer funds endpoint, such as validating the account status, account balance, and flex controls.

This endpoint generates an Authorization created event with authorization > type "FORCE".

For additional information, see the Force operation guide.

Forced credit example

Assuming that processing_code "090907" is defined as credit type, the following payload executes a forced credit operation:

{
  "amount": 12.34,
  "account_id": 2417,
  "processing_code": "090907",
  "descriptor": "Cashback credit",
  "original_authorization": {
    "id": 123,
    "type": "PLATFORM"
  },
  "metadata": {
    "my-custom-key": "my-custom-info"
  }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request object for POST v1/payments/force (Force payment).

string
length between 36 and 50
^[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}$

Unique tracking ID of the forced operation. If you don't provide one, the Pismo platform generates it randomly.

integer

Unique identifier of an account in the Pismo platform.

float

Credit or debit amount

string
^[0-9]{6}$

Unique 6-character processing code that identifies the credit or debit operation.

string

ISO-4217 alphabetic or numeric (3 characters) operation currency code. For example, either BRL or 986 for Brazilian real.

string

Optional text that describes the created operation. The platform supports only letters and numbers in this field and removes any special characters or emojis.

metadata
object

This optional user-defined key-value object field can be used with external operations to provide additional context or supplementary custom information for the operation.

The Pismo platform does not perform any validation or processing on this field but passes this object to the acquirer in transactions involving calls to the acquirer and sends it in the events related to the stream of data produced at the end of the request.

Note: This field must not be used to send Personally Identifiable Information (PII), Payment Card Industry (PCI) data, or any sensitive/regulated information. Metadata fields are intended for operational, non-sensitive data only. For sensitive data, use the specific parameters designed for that purpose. For more information, refer to Get started with Pismo APIs.

original_authorization
object

This optional field identifies the original authorization to be forced. When this object is provided, both the id and type fields need to be filled.

date-time

Value date (effective date) of the payment in UTC-0 (RFC3339) format. Payments can be backdated but future dates are not allowed. example: '2020-01-02T15:14:00.218Z'

Headers
string
required
length between 39 and 39
TN\-[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}

Unique Org ID

string

Related correlation identifier. If none is provided, a random one is generated.

number

Optional account identifier.

string

If set to true, this will prevent the generation of timeline events in the customer timeline.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json